<?php if(!defined('IN_GS')){ die(''); }
/****************************************************
* @File: 		template.php
* @CMS:			GetSimple
* @Description:	BLUEBUSINESS template for getsimple CMS
* @Author:		Wojciech Jodła - www.wujitsu.pl
*****************************************************/
?>
<!DOCTYPE html>
<html lang="<?php echo substr($LANG, 0, 2); ?>">
<head>
<meta charset="UTF-8">
<title><?php get_page_clean_title(); ?> - <?php get_site_name(); ?></title>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js" type="text/javascript"></script>
<?php get_header(); ?>
<meta name="robots" content="index,follow,noodp"/>
<meta name="author" content="Wojciech Jodła - www.WuJitsu.pl" />
<link rel="icon" type="image/png" href="<?php get_theme_url(); ?>/gfx/favicon.png">
<link rel="stylesheet" type="text/css" href="<?php get_theme_url(); ?>/css/style.css" media="screen" />
<script src="<?php get_theme_url(); ?>/js/slimbox2.js" type="text/javascript"></script>
<script type="text/javascript">
$(window).load(function(){
	$("section#sidebar").css("min-height", function(){ return $("section#page-content-container").height()+50 });
});
	</script>
<!--[if lt IE 9]>
<script src="<?php get_theme_url(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<!--[if lt IE 8]>
<div id="noscript"><strong>Caution</strong>: due to security vulnerabilities of your current version of Internet Explorer, we highly recommend to update brwoser to latest version.</div>
<![endif]-->
<!--[if lte IE 9]>
<style type="text/css">
	hr#content-bottom-backg {margin-left:1px;}
</style>
<![endif]-->
</head>
<body>
<section id="wrapper">
<header id="topheader">
	<figure id="header-frame">
		<img src="<?php get_theme_url(); ?>/gfx/header-frame.png">
	</figure>
	<figure id="sitename">
		<?php get_site_name(); ?>
	</figure>
	<?php if (function_exists('return_i18n_setlang_url') && componentexist('sitelanguage')) { ?>
		<section id="sitelanguage">
		<ul>
			<?php get_component('sitelanguage'); ?>
		</ul>
		</section>
	<?php } ?>
	<figure id="logo">
		<a href="<?php get_site_url(); ?>" title="homepage">
			<img src="<?php get_site_url(); ?>/data/uploads/logo.png" alt="Logo">
		</a>
	</figure>
	<nav id="site-navigation">
		<ul>
			<!-- navigation -->
			<?php 
			// if i18n navigation menu plugin is not present , use GS builtin menu function
			if (function_exists('get_i18n_navigation')) { 
				get_i18n_navigation(return_page_slug(),0,2,I18N_SHOW_MENU|I18N_FILTER_LANGUAGE);
			} else get_navigation(return_page_slug()); 
			?>
		</ul>
	</nav>
</header>
	<hr id="content-top-backg">
	<section id="sidebar">
			<!-- place here your components or custom field boxed -->
			<?php if (function_exists('get_i18n_search_form')) { 
					get_i18n_search_form(array('slug'=>'search'));
				} ?>
			<?php if (componentexist('sidebar')) {
				get_component('sidebar');
				}
			?>
	</section>

	<section id="page-content-container">
	
		<article id="page-content">
			<?php
			if(return_page_slug() != "search") {
			// show page header and page content
				echo '<h1 id="pagetitle">'.return_page_title().'</h1>';
			}
				get_page_content(); 
			
			?>
			
		</article>
		<?php  // load introbox content if such pages exist
		$introbox1 = load_box_content('indexbox1');
		if (!empty($introbox1) && return_page_slug() == "index") { 
		echo '<section class="introbox">'.
			$introbox1.
			'</section>';}	?>
			
		<?php $introbox2 = load_box_content('indexbox2');
		if (!empty($introbox2) && return_page_slug() == "index") { 
		echo '<section class="introbox">'.
			$introbox2.
			'</section>';}	?>

			<section id="static"><strong>
				<!-- show static content, do not remove! -->
				<?php showstatic(); ?>
			</strong></section>
			<hr id="static-hr">		
	</section>
	<hr id="content-bottom-backg">
	<footer>
		<section id="copyrights">
			<?php 
			// show copyright information
			echo '&copy;'.' '.get_site_name(FALSE) . ' ' ;
			if (componentexist('sidebar')) {
				 get_component('copyrights'); 
				} ?>
		</section>
		<!-- link to author's website, see license -->
		<section id="creation">
			<a href="http://getsimple.wujitsu.pl/bluebusiness/">BlueBusiness theme</a> - <a class="webdesigner" title="WuJitsu.pl - art of promotion in the wwweb" href="http://www.wujitsu.pl">WuJitsu.pl</a>
			<p class="poweredby"><?php get_site_credits();?></p>
		</section>
	</footer>
</section>
<noscript>
	<div id="noscript"><strong>Caution</strong>: 
		The page you are trying to access requires JavaScript in order to work properly. Please enable Javascript from your browser and try again.
	</div>
</noscript>

</body>
</html>